%define module_version 0.04
%define module_name Device-RadioThermostat
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Socket/INET.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Socket.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Access Radio Thermostat Co of America (3M-Filtrete) WiFi thermostats
Group: Development/Perl
License: perl
URL: https://github.com/mikegrb/Device-RadioThermostat

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIKEGRB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Device::RadioThermostat is a perl module for accessing the API of thermostats
manufactured by Radio Thermostat Corporation of America.  3M-Filtrete themostats
with WiFi are OEM versions manufactured by RTCOA.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*

%changelog
* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Mar 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

